// ==UserScript==
// clean URI by TarquinWJ
// version 1.3.3
// see http://www.howtocreate.co.uk/operaStuff/userJavaScript.html for details
// ==/UserScript==

if (window.location.href.indexOf("blog.hu") > 0 || window.location.href.indexOf("www.google.com") > 0)
{

}
else
{
window.addEventListener(
	'load',
	function mwjenabledCleanURI() {

		/****************************************************************************************
		                                   Options can be set here
		****************************************************************************************/

		var useSeparateLink = false; //true to create 'CleanURL' links, false to replace existing
		var fixLinkType = 0; //1 = redirect links, 2 = JavaScript window.open links, 0 = both
		var allowParams = false; //true = assume that all parameters after the start of the redirect URL are part of the URL
		                         //false = (default) only allow the redirect URL to exist within a single query parameter

		/***************************************************************************************/

		for( var x = 0, urlMatch = /window\.open\s*\(\s*["']([^"']*)["']/, httpMatch = /https?(:|%3a)(\/|%2f)(\/|%2f)/i; x < document.links.length; x++ ) {
			var newHref = '', curLink = document.links[x];
			if( ( fixLinkType != 1 ) && curLink.protocol.toLowerCase() == 'javascript:' && curLink.href.match(urlMatch) ) {
				newHref = (RegExp.$1).replace(/\\\//g,'\/');
			} else if( ( fixLinkType != 1 ) && ( curLink.protocol.toLowerCase() == 'javascript:' || curLink.hash == '#' ) && curLink.hasAttribute('onclick') && curLink.getAttribute('onclick').match(urlMatch) ) {
				newHref = (RegExp.$1).replace(/\\\//g,'\/');
			} else if( ( fixLinkType != 2 ) && curLink.hostname && !curLink.hostname.match(/w3c?.org$/) ) {
				if( pos = curLink.search.match(httpMatch) ) {
					newHref = unescape(allowParams?curLink.search.substr(pos.index).replace(/#.*$/g,''):curLink.search.substr(pos.index).replace(/[&#].*$/g,''));
				} else if( pos = curLink.pathname.match(httpMatch) ) {
					newHref = unescape(curLink.pathname.substr(pos.index).replace(/[&#].*$/g,''));
				}
			}
			if( newHref ) {
				var oRel = curLink.getAttribute('rel');
				oRel = oRel ? ( oRel + ' ' ) : '';
				curLink.setAttribute('rel',oRel+'redirect');
				if( useSeparateLink ) {
					var oLink = document.createElement('a');
					oLink.setAttribute('href',newHref);
					oLink.appendChild(document.createTextNode('[CleanURL]'));
					curLink.parentNode.insertBefore(document.createTextNode(' '),curLink.nextSibling);
					curLink.parentNode.insertBefore(oLink,curLink.nextSibling.nextSibling);
					x++;
				} else {
					curLink.setAttribute('replacedurl',curLink.href);
					curLink.title = ( curLink.title ? ( curLink.title + ' - ' ) : '' ) + 'Old URL: ' + curLink.href;
					curLink.href = newHref;
				}
			}
		}
	},
	false
);
}